Bug 209189 - kdump saves a vmcore under the directory whose name has wrong panic date
kdump saves a vmcore under the directory whose name has wrong panic date
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Depends On:
  Show dependency treegraph
Reported: 2006-10-03 15:38 EDT by Nobuhiro Tachino
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-22 20:01:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nobuhiro Tachino 2006-10-03 15:38:01 EDT
Description of problem:

kdump saves a vmcore under the directory whose name has wrong panic date. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Actual results:

# ls /var/crash

Expected results:

# ls /var/crash

Additional info:

The following on liner fixes the problem.

@@ -1357,7 +1363,7 @@
     echo "$KDUMP_CONFIG_FILE: $2"
     exit 1
-    emit "DATE=\`date +%Y-%M-%d-%T\`"
+    emit "DATE=\`date +%Y-%m-%d-%T\`"
 if [ -n "$KDUMP_CONFIG_FILE" ]; then
     memtotal=`cat /proc/meminfo | grep MemTotal | awk '{print $2}'`
Comment 1 Jay Turner 2006-10-04 08:45:36 EDT
QE ack for RHEL5GA.  Needs to be fixed before shipping, otherwise it's recording
invalid data.
Comment 2 RHEL Product and Program Management 2006-10-04 08:46:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 3 Neil Horman 2006-10-04 11:08:24 EDT
fixed in -78.el5
Comment 4 Nobuhiro Tachino 2006-10-04 12:07:39 EDT
I confirmed kexec-tools-1.101-78 fixes the bug on my box.
Comment 5 RHEL Product and Program Management 2006-12-22 20:01:51 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.